public OnPluginStart()
{
	CreateConVar("sm_gungame_version", PLUGIN_VERSION, "DoD:S GunGame for SourceMod", FCVAR_PLUGIN | FCVAR_REPLICATED | FCVAR_NOTIFY | FCVAR_DONTRECORD);
	g_hHandicap = CreateConVar("sm_gungame_handicap", "0", "Enable(1)/disable(0) Handicap mode (gives players the server average level when they join)", FCVAR_PLUGIN);
	g_bonustime = CreateConVar("sm_gungame_bonustime",    "15", "Length of Bonusround", FCVAR_PLUGIN, true, 10.0, true, 60.0);
	g_nades = CreateConVar("sm_gungame_maxnades",    "10", "How many frag grenades that are allowed", FCVAR_PLUGIN, true, 1.0, true, 99.0);
	g_runspeed = CreateConVar("sm_gungame_meleespeed",    "1.2", "Speed for spade/knife level for permanent run", FCVAR_PLUGIN, true, 0.7, true, 3.0);
	g_runspeedspade = CreateConVar("sm_gungame_spadespeed",    "0", "Enable(1) permanent Speed when holding the Spade", FCVAR_PLUGIN);
	g_runspeedspadespeed = CreateConVar("sm_gungame_spadespeed_var",    "1.0", "Speed when SpadeSpeed is enabled", FCVAR_PLUGIN, true, 0.8, true, 1.4);
	g_runcommand    = CreateConVar("sm_gungame_roundend_runcommand",    "sm_fireworks_start", "Command executed on gameEnd", FCVAR_PLUGIN, true, 0.0, true, 1.0);
	g_spadeknifehealth	 = CreateConVar("sm_gungame_spadeknifehealth", "120", "Health on Spade/Knife Level", FCVAR_PLUGIN, true, 100.0, true, 160.0);
	g_runvote    = CreateConVar("sm_gungame_vote_runcommand",    "sm_mapvote", "Vote Map Command executed on gameEnd", FCVAR_PLUGIN, true, 0.0, true, 1.0);
	g_runvoteenable    = CreateConVar("sm_gungame_votegame_end",    "0", "Enable/disable Vote Command on GameEnd", FCVAR_PLUGIN);
	g_bonustimevote   = CreateConVar("sm_gungame_votegame_end_bonustime",    "45", "Length of Bonusround when GameEnd Vote is enabled", FCVAR_PLUGIN, true, 25.0, true, 60.0);
	g_votebeforeend    = CreateConVar("sm_gungame_votebeforeend",    "1", "Enable/disable Vote X weapons before last level", FCVAR_PLUGIN);
	g_votebeforeendlevel    = CreateConVar("sm_gungame_votebeforeend_levels",    "4", "Vote how many weapons before last level", FCVAR_PLUGIN, true, 1.0, true, 7.0);
	g_votesoundfile    = CreateConVar("sm_gungame_votesoundfile",    "1", "Enable/disable Vote Sound when Vote starts", FCVAR_PLUGIN);
	g_SpecLockGG    = CreateConVar("sm_gungame_speclock",    "1", "Enable/disable Spectator locked during Bonusround", FCVAR_PLUGIN);
	g_TeamLockGG    = CreateConVar("sm_gungame_teamlock",    "1", "Enable/disable autojoin class when selected a Team", FCVAR_PLUGIN);
	g_CPdisable		= CreateConVar("sm_gungame_cpdisable",   "1", "Enable(0)/Disable(1) Control Point Icons, Flags and FlagSound", FCVAR_PLUGIN);
	g_TeamWallRemoveGame = CreateConVar("sm_gungame_teamwallremove_game", "0", "Enable/disable removing func_team_walls during Game", FCVAR_PLUGIN);
	g_TeamWallRemoveGameEnd = CreateConVar("sm_gungame_teamwallremove_gameend", "1", "Enable/disable removing func_team_walls during Bonusround", FCVAR_PLUGIN);
	g_gungame_custom_on = CreateConVar("sm_gungame_custom", "0", "!! YOU MUST DELETE THESE CONVAR FROM THE CONFIG FILE !! ", FCVAR_PLUGIN | FCVAR_DONTRECORD);
	g_gungame_customtext1 = CreateConVar("sm_gungame_custom_text1", "SPADE ONLY VERSION ENABLED", "set the text you want to print on centerscreen on custom weaponlist 1", FCVAR_PLUGIN);
	g_gungame_customtext2 = CreateConVar("sm_gungame_custom_text2", "CUSTOM WEAPON LIST LOADED", "set the text you want to print on centerscreen on custom weaponlist 2", FCVAR_PLUGIN);
	g_gungame_rapidfirebazooka = CreateConVar("sm_gungame_rapidfirebazooka", "1", "disable(0) / enable(1) Rapid Fire with the Rocket Launchers", FCVAR_PLUGIN);
	g_gungame_rapidfirebazdelay = CreateConVar("sm_gungame_rapidfirebazooka_delay", "3", "Time between the shots of the Rocket Launchers", FCVAR_PLUGIN, true, 1.0, true, 15.0);
	g_gungame_rapidfirepistol = CreateConVar("sm_gungame_rapidfirepistol", "1", "disable(0) / enable(1) Rapid Fire with the P38/Colt", FCVAR_PLUGIN);
	g_cvJumpEnable = CreateConVar("sm_gungame_doublejump_enabled", "1",	"disable(0) / enable(1) double-jumping on Spade/Knife",FCVAR_PLUGIN);
	g_cvJumpBoost = CreateConVar("sm_gungame_doublejump_boost", "280.0", "The amount of vertical boost to apply to double jumps",FCVAR_PLUGIN, true, 260.0, true, 700.0);
	g_cvJumpMax = CreateConVar("sm_gungame_doublejump_max", "1", "The maximum number of re-jumps allowed while already jumping",FCVAR_PLUGIN, true, 1.0, true, 5.0);
	g_gungame_punishment = CreateConVar("sm_gungame_punishment",  "4", "Type of team kill punishment. (0 = Disabled, 1 = Level loss, 2 = Give spade, 3 = Give Spade & Level loss, 4 = Give Spade & Give Health, 5 = Give Spade & Give Health & Level loss)", FCVAR_PLUGIN);
	g_ShowGGHelp = CreateConVar("sm_gungame_helpurl", "http://your-website-here/gghelp.html", "URL to the GG Help html file", FCVAR_PLUGIN);
	g_gungame_winjoinsound = CreateConVar("sm_gungame_sounds",  "3", "Enable Join and Win Sounds. (0 = Disabled, 1 = Enable Joinsounds, 2 = Enable Winsounds, 3 = Enable Joinsounds & Winsounds)", FCVAR_PLUGIN);
	g_overlaytime = CreateConVar("sm_gungame_endoverlay_time",  "15", "Time in Seconds for Round End Overlay - must be lower then Bonusroundtime", FCVAR_PLUGIN, true, 0.0, true, 60.0);
	g_overlaytyp = CreateConVar("sm_gungame_endoverlay_typ",  "1", "Typ of RoundEnd Overlay: 0 = Disabled, 1 = Black/White screen, 2 = overlay Image", FCVAR_PLUGIN);
	g_superman = CreateConVar("sm_gungame_model_superman",  "1", "disable(0) / enable(1) Superman Model for Winner", FCVAR_PLUGIN);
	g_hunter = CreateConVar("sm_gungame_model_hunter",  "1", "disable(0) / enable(1) Hunter 2 times random in Game", FCVAR_PLUGIN);
	g_terminator = CreateConVar("sm_gungame_model_terminator",  "1", "disable(0) / enable(1) Terminator 1 time random in Game", FCVAR_PLUGIN);
	g_terminatorlaseraimcvar = CreateConVar("sm_gungame_model_terminator_laseraim",  "1", "disable(0) / enable(1) Terminator Laser Aim", FCVAR_PLUGIN);
	g_hunter_health = CreateConVar("sm_gungame_modelhunter_health",  "200", "Health for Hunter", FCVAR_PLUGIN, true, 150.0, true, 300.0);
	g_terminator_health = CreateConVar("sm_gungame_modelterminator_health",  "300", "Health for Terminator", FCVAR_PLUGIN, true, 150.0, true, 900.0);
	g_database_winner = CreateConVar("sm_gungame_database_winner", "0", "Disable(0)/Enable(1) storing GG Winner into SQL Database - you must setup your sourcemod database.cfg!!", FCVAR_PLUGIN);
	g_database_website = CreateConVar("sm_gungame_database_web", "http://your-website-here/gghelp.html", "URL to the GG TOP 10 Page", FCVAR_PLUGIN);
	g_healthONlevelupvar = CreateConVar("sm_gungame_health_on_levelup_var", "5", "how much Health a player gets when leveling up(only when he is lower then 100 minus this variable) 0 = disable", FCVAR_PLUGIN, true, 5.0, true, 50.0);
	g_iClip     = FindSendPropInfo("CBaseCombatWeapon", "m_iClip1");
	g_iOffset   = FindSendPropInfo("CDODPlayer",       "m_iAmmo");
	HookEvent("dod_round_start", Event_RoundStart);
	HookEvent("player_death",    Event_PlayerDeath);
	HookEvent("player_spawn",    Event_PlayerSpawn);
	HookEvent("dod_stats_weapon_attack",	Event_DodStatsWeaponAttack);
	RegConsoleCmd("drop", Command_Drop, "Block weapons from being dropped in DoD:S GunGame.");
	RegConsoleCmd("gghelp", ShowGGHelp);
	RegConsoleCmd("ggtop", ShowGGtop10);
	AutoExecConfig(true, "dod_gungame_config", "dod_gungame_config_light");
	HookEvent("player_team",     Event_PlayerTeam, EventHookMode_Post);
	LoadTranslations("dod_gungame.phrases");
	AddAmbientSoundHook(AmbientSHook:HookFlagSound);
	HookConVarChange(g_cvJumpBoost,		convar_ChangeBoost);
	HookConVarChange(g_cvJumpEnable,	convar_ChangeEnable);
	HookConVarChange(g_cvJumpMax,		convar_ChangeMax);
	g_bDoubleJump	= GetConVarBool(g_cvJumpEnable);
	g_flBoost		= GetConVarFloat(g_cvJumpBoost);
	g_iJumpMax		= GetConVarInt(g_cvJumpMax);
	soundfilesjoin = CreateArray(PLATFORM_MAX_PATH+1);
	soundfileswin = CreateArray(PLATFORM_MAX_PATH+1);
}