public Action:Load_WinJoinSounds(Handle:timer)
{
	// precache sounds, loop through sounds
	BuildPath(Path_SM,soundlistfilejoin,sizeof(soundlistfilejoin),"configs/gungame_joinsounds.txt");
	if(!FileExists(soundlistfilejoin))
	{
		SetFailState("gungame_joinsounds.txt not parsed...file doesnt exist!");
	}
	else
	{
		if (listfilejoin != INVALID_HANDLE)
		{
			CloseHandle(listfilejoin);
		}
		listfilejoin = CreateKeyValues("soundlist");
		FileToKeyValues(listfilejoin,soundlistfilejoin);
		KvRewind(listfilejoin);
		if (KvGotoFirstSubKey(listfilejoin))
		{
			do
			{
				decl String:filelocation[PLATFORM_MAX_PATH+1];
				decl String:dl[PLATFORM_MAX_PATH+1];
				decl String:file[8];
				countjoinsound = KvGetNum(listfilejoin, "count", 1);
				new download = KvGetNum(listfilejoin, "download", 1);
				for (new i = 0; i <= countjoinsound; i++)
				{
					if (i)
					{
						Format(file, sizeof(file), "file%d", i);
					}
					else
					{
						strcopy(file, sizeof(file), "file");
					}
					filelocation[0] = '\0';
					KvGetString(listfilejoin, file, filelocation, sizeof(filelocation), "");
					if (filelocation[0] != '\0')
					{
						Format(dl, sizeof(dl), "sound/%s", filelocation);
						PrecacheSound(filelocation, true);
						PushArrayString(soundfilesjoin, filelocation);
						if(download && FileExists(dl))
						{
							AddFileToDownloadsTable(dl);
						}
					}
				}
			} while (KvGotoNextKey(listfilejoin));
		}
		else
		{
			SetFailState("gungame_joinsounds.txt not parsed...No subkeys found!");
		}
	}
	// precache sounds, loop through sounds
	BuildPath(Path_SM,soundlistfilewin,sizeof(soundlistfilewin),"configs/gungame_winsounds.txt");
	if(!FileExists(soundlistfilewin))
	{
		SetFailState("gungame_winsounds.txt not parsed...file doesnt exist!");
	}
	else
	{
		if (listfilewin != INVALID_HANDLE)
		{
			CloseHandle(listfilewin);
		}
		listfilewin = CreateKeyValues("soundlist");
		FileToKeyValues(listfilewin,soundlistfilewin);
		KvRewind(listfilewin);
		if (KvGotoFirstSubKey(listfilewin))
		{
			do
			{
				decl String:filelocation[PLATFORM_MAX_PATH+1];
				decl String:dl[PLATFORM_MAX_PATH+1];
				decl String:file[8];
				countwinsound = KvGetNum(listfilewin, "count", 1);
				new download = KvGetNum(listfilewin, "download", 1);
				for (new i = 0; i <= countwinsound; i++)
				{
					if (i)
					{
						Format(file, sizeof(file), "file%d", i);
					}
					else
					{
						strcopy(file, sizeof(file), "file");
					}
					filelocation[0] = '\0';
					KvGetString(listfilewin, file, filelocation, sizeof(filelocation), "");
					if (filelocation[0] != '\0')
					{
						Format(dl, sizeof(dl), "sound/%s", filelocation);
						PrecacheSound(filelocation, true);
						PushArrayString(soundfileswin, filelocation);
						if(download && FileExists(dl))
						{
							AddFileToDownloadsTable(dl);
						}
					}
				}
			} while (KvGotoNextKey(listfilewin));
		}
		else
		{
			SetFailState("gungame_winsounds.txt not parsed...No subkeys found!");
		}
	}
	return Plugin_Handled;
}

public Action:Play_Join_Sound(Handle:timer, any:client)
{
	new soundnumber = GetRandomInt(0,GetArraySize(soundfilesjoin)-1);
	decl String:filetoplay[PLATFORM_MAX_PATH+1];
	GetArrayString(soundfilesjoin, soundnumber, filetoplay, sizeof(filetoplay));
	decl String:buffer[PLATFORM_MAX_PATH+1];
	Format(buffer, sizeof(buffer), "play %s", (filetoplay), SNDLEVEL_GUNFIRE);
	if(IsClientConnected(client) && !IsFakeClient(client))
	{
		ClientCommand((client), buffer);
		//LogMessage("GG - Play Join Sound to - %N", client);
	}
}